from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.i18n import XTransliteration

@runtime_checkable
class XExtendedTransliteration(XTransliteration, Protocol):
    def transliterateString2String(self, aStr: str, nStartPos: int, nCount: int) -> str: ...
    def transliterateChar2String(self, cChar: str) -> str: ...
